/*
 * Copyright (c) 2004, 2005 Sendmail, Inc. and its suppliers.
 *	All rights reserved.
 *
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENSE file which can be found at the top level of
 * the sendmail distribution.
 *
 *	$Id: smerr2txt.h,v 1.4 2014/02/15 03:23:02 ca Exp $
 */

#ifndef SMERR2TXT_H
#define SMERR2TXT_H 1

#include "sm/generic.h"

struct e2s_S
{
	int		 e2s_code;
	char	*e2s_str;
	int		 e2s_rc;
};
typedef struct e2s_S	e2s_T, *e2s_P;

#if !SMERR2TXT
extern e2s_T e_bdb4_2[];
extern e2s_T e_error[];
extern e2s_T e_bdb4_2[];
#endif

const char *finde(int _ecode, e2s_P _table);

#endif /* SMERR2TXT_H */
