#!/bin/sh
# $Id: t-exit-2.sh,v 1.5 2013/12/23 00:21:44 ca Exp $
#
# ----------------------------------------
# test restart: don't try to restart program, it doesn't exist
# ----------------------------------------
#

CONF=exit.conf
L1=exit.log

SD=`dirname $0`
if test "${SD}" = "."
then
   SD=../mcp
fi
. ${SD}/common.sh

rm -f ${PIDS} ${OUT} ${L1}
cat > ${CONF} <<EOF
exit {
	start_action = wait;
	processes_min = 1;
	processes_max = 1;
	user = ${USER};
	path = ./mIssIng;
	arguments = "mIssIng";
}
EOF
./mcp -D -t -dddd ${CONF} > ${OUT} 2>&1 &
echo $! >> ${PIDS}
sleep 3
CNT=1
if grep 'reaped, status 0x4e00' ${OUT} > /dev/null
then
  C=`grep 'mcp: start=exit' ${OUT} | wc -l`
  if test ${C} -ne ${CNT}
  then
    ${VERBOSE} && echo "wrong number of starts: $C in ${OUT}"
    ERRS=`expr ${ERRS} + 1 `
  fi
else
  ${VERBOSE} && echo "missing 'reaped, status 0x4e00' in ${OUT}"
  ERRS=`expr ${ERRS} + 1 `
fi

stopit

exit ${ERRS}
